declare type VoidFn = () => void;
declare type Updater<V> = (val: V) => V;
declare type Obj = Record<string, unknown>;
declare type Setter<T> = <K extends keyof T>(key: K, updater: Updater<T[K]>) => void;
declare type Store<T> = T & Setter<T>;
declare let run: (fn: VoidFn) => void;
declare const resso: {
    <T extends Obj>(obj: T): Store<T>;
    config({ batch }: {
        batch: typeof run;
    }): void;
};

export { resso as default };
